Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get service type list

Prev Next

Available in Classic and VPC

Get the list of service types to which a quota policy can be applied.

Note

The Get service type list API returns a response only when resource detailed settings (usage limit settings) are required. Use it only for resources with a resourceQuotaDetailConfigYn value of Y in the response result of Get resource list.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /open-api/v1/policy/detail/{regionNo}/{resourceTypeCode}

Request headers

For information about the headers common to all Organization APIs, see Organization request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
regionNo Integer Required Region number
resourceTypeCode String Required Resource code

Request example

The request example is as follows:

curl --location --request GET 'https://organization.apigw.ntruss.com/open-api/v1/policy/service/1/SVR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Accept: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
infraResourceDetailTypeCode String - Service type code
infraResourceDetailTypeName String - Service type name
resourceQuotaDetailConfigYn String - Whether resource detailed settings are required
  • Y | N
    • Y: Required
    • N: Not required
productTypeList Array - Resource type information: productTypeList

productTypeList

The following describes productTypeList.

Field Type Required Description
productTypeCode String - Resource type code
productTypeName String - Resource type name

Response status codes

For information about the HTTP status codes common to all Organization APIs, see Organization response status codes.

Response example

The response example is as follows:

[
  {
    "infraResourceDetailTypeCode": "BM",
    "infraResourceDetailTypeName": "BareMetal",
    "resourceQuotaDetailConfigYn": "Y",
    "productTypeList": [
      {
        "productTypeCode": "CPU",
        "productTypeName": "CPU Intensive"
      }
    ]
  },
  {
    "infraResourceDetailTypeCode": "VM",
    "infraResourceDetailTypeName": "VM",
    "resourceQuotaDetailConfigYn": "Y",
    "productTypeList": [
      {
        "productTypeCode": "STAND",
        "productTypeName": "Standard"
      },
      {
        "productTypeCode": "HICPU",
        "productTypeName": "High CPU"
      },
      {
        "productTypeCode": "HIMEM",
        "productTypeName": "High Memory"
      },
      {
        "productTypeCode": "MICRO",
        "productTypeName": "Micro Server"
      },
      {
        "productTypeCode": "COMPT",
        "productTypeName": "Compact Server"
      },
      {
        "productTypeCode": "GPU",
        "productTypeName": "GPU"
      },
      {
        "productTypeCode": "CPU",
        "productTypeName": "CPU Intensive"
      }
    ]
  }
]